## ros-melodic-jackal-cartographer-navigation 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jackal_cartographer_navigation)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()

roslaunch_add_file_check(launch/cartographer_demo.launch)

install(DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-jackal-cartographer-navigation (0.0.1-1stretch) stretch; urgency=high

  * Updated maintainer.
  * Removed rviz to use jackal_viz.
  * Merge pull request #2 <https://github.com/jackal/jackal_cartographer_navigation/issues/2> from ljazzal/master
    Update dependencies to use cartographer_ros pkg instead of building from source
  * added back use_odometry config
  * minor changes to install instructions
  * added cartographer_ros as run_depend
  * removed unused file
  * Updated install instructions
  * tuned cartographer parameters
  * Using deb release of cartographer_ros
  * minor changes to install
  * Changed repo link
  * Update README.md
  * Updated emails
  * Set version number to 0.0.0
  * Revert "Remove use_landmarks and landmark_sampling_ratio"
    This reverts commit f48f031eb44f376c98351e7ae8b09779b49b9ac8
  * Checkout latest working commits for Cartographer and Cartographer ROS
  * Remove use_landmarks and landmark_sampling_ratio
  * Update script to use version 0.3.0 of Cartographer and Cartographer ROS packages
  * Update README.md
  * Update README.md
  * Created catkin package for repository and modified configuration file to reflect changes made in official Cartographer repository
  * Created catkin package for repository and modified configuration file to reflect changes made in official Cartographer repository
  * Update README.md
  * Update protobuf3_local.sh to clone jackal repository
  * Update README.md
  * Update README.md
  * Update README.md
  * Created tutorial on how to use Cartographer
  * Updated script to clone jackal_desktop and jackal_simulator into workspace
  * Removed unnecessary files
  * Changed mapping resolution
  * Removed jackal_desktop and jackal_simulation
  * Merge branch 'tuning-slam' of http://gitlab.clearpathrobotics.com/research/jackal_cartographer_navigation into tuning-slam
  * Minor README changes
  * Delete protobuf3_local.sh~
  * Delete jackal.lua~
  * Fixed address in install script
  * Minor README changes
  * Minor README changes
  * Minor README changes
  * Added setup steps in README
  * Minor changes to Google Cartographer install script
  * Initial Commit
  * Contributors: Aditya Bhattacharjee, Tony Baltovski, ljazzal

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 20 Feb 2020 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-jackal-cartographer-navigation
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-jackal-cartographer-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-cartographer-ros, ros-melodic-map-server, ros-melodic-move-base, ros-melodic-urdf, ros-melodic-xacro
Description: Launch files and code for autonomous navigation of the Jackal using Google Cartographer

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-jackal-cartographer-navigation//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
